## ros-one-kdl-parser 1.14.1-2jammy.20251023.0136

=== debian/changelog ===
ros-one-kdl-parser (1.14.1-2jammy.20251023.0136) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 23 Oct 2025 01:36:32 +0000

ros-one-kdl-parser (1.14.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 24 Aug 2020 00:00:00 -0000

ros-one-kdl-parser (1.14.0-0jammy) jammy; urgency=high

  * Used keys for Orocos (#38 <https://github.com/ros/kdl_parser/issues/38>)
  * Set C++ standard to 14 (#37 <https://github.com/ros/kdl_parser/issues/37>)
  * Contributors: Alejandro Hernández Cordero, James Xu, Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 13 Apr 2020 00:00:00 -0000

ros-one-kdl-parser (1.13.1-0jammy) jammy; urgency=high

  * Fix up missing link tags in some XML files. (#15 <https://github.com/ros/kdl_parser/issues/15>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 23 Jul 2018 00:00:00 -0000

ros-one-kdl-parser (1.13.0-0jammy) jammy; urgency=high

  * kdl_parser: switch from TinyXML to TinyXML2 (#4 <https://github.com/ros/kdl_parser/issues/4>)
  * Style fixes from ros2 (#11 <https://github.com/ros/kdl_parser/issues/11>)
  * Make rostest a test_depend (#3 <https://github.com/ros/kdl_parser/issues/3>)
  * update links now that this is in its own repo
  * Contributors: Chris Lalancette, Dmitry Rozhkov, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 05 Apr 2018 00:00:00 -0000

ros-one-kdl-parser (1.12.10-0jammy) jammy; urgency=high

  * Use result of find_package(orocos_kdl) properly (#200 <https://github.com/ros/robot_model/issues/200>)
    orocos_kdl_LIBRARY_DIRS was not set

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 17 May 2017 00:00:00 -0000

ros-one-kdl-parser (1.12.9-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-one-kdl-parser (1.12.8-0jammy) jammy; urgency=high

  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-one-kdl-parser (1.12.7-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-one-kdl-parser (1.12.6-0jammy) jammy; urgency=high

  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-one-kdl-parser (1.12.5-0jammy) jammy; urgency=high

  * fix segfault: safely handle empty robot model (#154 <https://github.com/ros/robot_model/issues/154>)
  * Contributors: Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-one-kdl-parser (1.12.4-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 00:00:00 -0000

ros-one-kdl-parser (1.12.3-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-one-kdl-parser (1.12.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 00:00:00 -0000

ros-one-kdl-parser (1.12.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 00:00:00 -0000

ros-one-kdl-parser (1.11.8-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 00:00:00 -0000

ros-one-kdl-parser (1.11.7-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-one-kdl-parser (1.11.6-0jammy) jammy; urgency=high

  * add version dependency on orocos_kdl >= 1.3.0
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 00:00:00 -0000

ros-one-kdl-parser (1.11.5-0jammy) jammy; urgency=high

  * Update KDL SegmentMap interface to optionally use shared pointers
    The KDL Tree API optionally uses shared pointers on platforms where
    the STL containers don't support incomplete types.
  * Contributors: Brian Jensen

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 00:00:00 -0000

ros-one-kdl-parser (1.11.4-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 00:00:00 -0000

ros-one-kdl-parser (1.11.3-0jammy) jammy; urgency=high

  * kdl_parser: Adding kdl library explicitly so that dependees can find it
  * Contributors: Jonathan Bohren

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-one-kdl-parser (1.11.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 00:00:00 -0000

ros-one-kdl-parser (1.11.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Mar 2014 00:00:00 -0000

ros-one-kdl-parser (1.11.0-0jammy) jammy; urgency=high

  * fix test at kdl_parser
  * Contributors: YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 21 Feb 2014 00:00:00 -0000

ros-one-kdl-parser (1.10.18-0jammy) jammy; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Dec 2013 00:00:00 -0000

ros-one-kdl-parser (1.10.16-0jammy) jammy; urgency=high

  * check for CATKIN_ENABLE_TESTING



## ros-one-kdl-parser 1.14.1-2jammy.20260220.2226

=== debian/changelog ===
ros-one-kdl-parser (1.14.1-2jammy.20260220.2226) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 20 Feb 2026 22:26:08 +0000

## ros-one-kdl-parser 1.14.1-2noble.20250531.2241

=== debian/changelog ===
ros-one-kdl-parser (1.14.1-2noble.20250531.2241) UNRELEASED; urgency=high

  * noble Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 31 May 2025 22:41:32 +0000

ros-one-kdl-parser (1.14.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 24 Aug 2020 00:00:00 -0000

ros-one-kdl-parser (1.14.0-0noble) noble; urgency=high

  * Used keys for Orocos (#38 <https://github.com/ros/kdl_parser/issues/38>)
  * Set C++ standard to 14 (#37 <https://github.com/ros/kdl_parser/issues/37>)
  * Contributors: Alejandro Hernández Cordero, James Xu, Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 13 Apr 2020 00:00:00 -0000

ros-one-kdl-parser (1.13.1-0noble) noble; urgency=high

  * Fix up missing link tags in some XML files. (#15 <https://github.com/ros/kdl_parser/issues/15>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 23 Jul 2018 00:00:00 -0000

ros-one-kdl-parser (1.13.0-0noble) noble; urgency=high

  * kdl_parser: switch from TinyXML to TinyXML2 (#4 <https://github.com/ros/kdl_parser/issues/4>)
  * Style fixes from ros2 (#11 <https://github.com/ros/kdl_parser/issues/11>)
  * Make rostest a test_depend (#3 <https://github.com/ros/kdl_parser/issues/3>)
  * update links now that this is in its own repo
  * Contributors: Chris Lalancette, Dmitry Rozhkov, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 05 Apr 2018 00:00:00 -0000

ros-one-kdl-parser (1.12.10-0noble) noble; urgency=high

  * Use result of find_package(orocos_kdl) properly (#200 <https://github.com/ros/robot_model/issues/200>)
    orocos_kdl_LIBRARY_DIRS was not set

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 17 May 2017 00:00:00 -0000

ros-one-kdl-parser (1.12.9-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-one-kdl-parser (1.12.8-0noble) noble; urgency=high

  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-one-kdl-parser (1.12.7-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-one-kdl-parser (1.12.6-0noble) noble; urgency=high

  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-one-kdl-parser (1.12.5-0noble) noble; urgency=high

  * fix segfault: safely handle empty robot model (#154 <https://github.com/ros/robot_model/issues/154>)
  * Contributors: Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-one-kdl-parser (1.12.4-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 00:00:00 -0000

ros-one-kdl-parser (1.12.3-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-one-kdl-parser (1.12.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 00:00:00 -0000

ros-one-kdl-parser (1.12.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 00:00:00 -0000

ros-one-kdl-parser (1.11.8-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 00:00:00 -0000

ros-one-kdl-parser (1.11.7-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-one-kdl-parser (1.11.6-0noble) noble; urgency=high

  * add version dependency on orocos_kdl >= 1.3.0
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 00:00:00 -0000

ros-one-kdl-parser (1.11.5-0noble) noble; urgency=high

  * Update KDL SegmentMap interface to optionally use shared pointers
    The KDL Tree API optionally uses shared pointers on platforms where
    the STL containers don't support incomplete types.
  * Contributors: Brian Jensen

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 00:00:00 -0000

ros-one-kdl-parser (1.11.4-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 00:00:00 -0000

ros-one-kdl-parser (1.11.3-0noble) noble; urgency=high

  * kdl_parser: Adding kdl library explicitly so that dependees can find it
  * Contributors: Jonathan Bohren

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-one-kdl-parser (1.11.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 00:00:00 -0000

ros-one-kdl-parser (1.11.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Mar 2014 00:00:00 -0000

ros-one-kdl-parser (1.11.0-0noble) noble; urgency=high

  * fix test at kdl_parser
  * Contributors: YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 21 Feb 2014 00:00:00 -0000

ros-one-kdl-parser (1.10.18-0noble) noble; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Dec 2013 00:00:00 -0000

ros-one-kdl-parser (1.10.16-0noble) noble; urgency=high

  * check for CATKIN_ENABLE_TESTING



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-kdl-parser//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-kdl-parser 1.14.1-2noble.20260220.2238

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)

project(kdl_parser)

find_package(catkin QUIET
  COMPONENTS rosconsole cmake_modules
)

if(NOT catkin_FOUND)
  # use local copies of FindTinyXML.cmake and FindTinyXML2.cmake from
  # 'cmake_modules' (https://github.com/ros/cmake_modules)
  list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/cmake)
endif()

find_package(urdfdom REQUIRED)
include_directories(${urdfdom_INCLUDE_DIRS})

find_package(orocos_kdl REQUIRED)
find_package(TinyXML REQUIRED)
find_package(TinyXML2 REQUIRED)

# check for rosconsole
# We check additionally for catkin to distinguish between an "official" ROS distribution
# and the one provided in the distribution's repository.
find_package(rosconsole QUIET)
if(rosconsole_FOUND AND catkin_FOUND)
  add_definitions(-DHAS_ROS)
endif()

find_package(urdf QUIET)
if(urdf_FOUND)
  add_definitions(-DHAS_URDF)
  include_directories(${urdf_INCLUDE_DIRS})
endif()

include_directories(include ${orocos_kdl_INCLUDE_DIRS} ${TinyXML_INCLUDE_DIRS} ${TinyXML2_INCLUDE_DIRS})

if(catkin_FOUND)
  link_directories(${catkin_LIBRARY_DIRS})
  include_directories(${catkin_INCLUDE_DIRS})

  catkin_package(
    LIBRARIES ${PROJECT_NAME} ${orocos_kdl_LIBRARIES}
    INCLUDE_DIRS include
    CATKIN_DEPENDS rosconsole urdf
    DEPENDS orocos_kdl TinyXML TinyXML2
  )
endif()

add_library(${PROJECT_NAME} SHARED src/kdl_parser.cpp)
target_link_libraries(${PROJECT_NAME}
  ${TinyXML_LIBRARIES} ${TinyXML2_LIBRARIES} ${orocos_kdl_LIBRARIES}
)

target_link_libraries(${PROJECT_NAME} ${urdfdom_LIBRARIES})

if(catkin_FOUND)
  target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
endif()

if(urdf_FOUND)
  target_link_libraries(${PROJECT_NAME} ${urdf_LIBRARIES})
endif()

if(WIN32)
  target_compile_definitions(${PROJECT_NAME} PRIVATE "KDL_PARSER_BUILDING_DLL")
endif()

add_executable(check_kdl_parser src/check_kdl_parser.cpp )
target_link_libraries(check_kdl_parser ${PROJECT_NAME})

if(catkin_FOUND AND CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roscpp rostest)
  add_rostest_gtest(test_kdl_parser test/test_kdl_parser.launch test/test_kdl_parser.cpp )
  target_link_libraries(test_kdl_parser ${PROJECT_NAME})

  add_rostest_gtest(test_inertia_rpy test/test_inertia_rpy.launch test/test_inertia_rpy.cpp )
  target_link_libraries(test_inertia_rpy ${PROJECT_NAME})
endif()

if(catkin_FOUND)
  # How does CATKIN do this?
  #rosbuild_add_rostest(${PROJECT_SOURCE_DIR}/test/test_kdl_parser.launch)
  
  # Install library
  install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

  install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
else()
  install(TARGETS ${PROJECT_NAME}
          LIBRARY DESTINATION lib
          ARCHIVE DESTINATION lib)
  install(DIRECTORY include/${PROJECT_NAME}/
          DESTINATION include)
endif()

=== debian/changelog ===
ros-one-kdl-parser (1.14.1-2noble.20260220.2238) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 20 Feb 2026 22:38:25 +0000

=== debian/control ===
Source: ros-one-kdl-parser
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), liborocos-kdl-dev (>= 1.3.0), libtinyxml-dev, libtinyxml2-dev, liburdfdom-headers-dev, ros-one-catkin (>= 0.5.68), ros-one-cmake-modules, ros-one-rosconsole, ros-one-urdf
Homepage: http://ros.org/wiki/kdl_parser
Standards-Version: 3.9.2

Package: ros-one-kdl-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liborocos-kdl-dev (>= 1.3.0), libtinyxml-dev, libtinyxml2-dev, liburdfdom-headers-dev, ros-one-rosconsole, ros-one-urdf
Description: The Kinematics and Dynamics Library (KDL) defines a tree structure to represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot representation in URDF.

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
 	dh_auto_configure -- \
+		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
